module.exports = {
  create: {
    requestBody: ['!name_zh', '!name', '!project', 'columns', 'remark'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['!name_zh', '!name', '!project', 'columns', 'remark'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        name_zh: 'name_zh',
        name: '%name%',
        project: 'project',
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  toExport: {
    requestBody: ['!ids'],
    operation: '导出',
  },
  toExportTS: {
    requestBody: ['!ids'],
    operation: '导出',
  },
};
